<script lang="ts">
  import Dot from "./Dot.svg.svelte";
  import { EArea } from "../enums/EArea";
  import { areaStore } from '../stores';

  let area: EArea;

  areaStore.subscribe(value => area = value);

  const info = [{
    title: 'Гибкость и быстрота',
    text: 'Молодые команды могут быстро адаптироваться к новым условиям и быстро реагировать на изменения в среде. Они обладают гибкостью и способны быстро изменять свою стратегию, чтобы достичь поставленных целей.',
    areas: [EArea.DESIGN, EArea.DEV]
  }, {
    title: 'Инновации',
    text: 'Молодые команды часто вносят новые и свежие идеи в свою работу. Они могут применять новые технологии и методы, что позволяет им создавать более инновационные и эффективные решения.',
    areas: [EArea.LABS]
  }, {
    title: 'Поддержка сообщества',
    text: 'Молодые команды могут получить значительную поддержку от сообщества разработчиков ПО с открытым исходным кодом. Это может помочь им быстрее развиваться и решать проблемы, которые могут возникнуть в процессе разработки.',
    areas: [EArea.SPACE]
  }, {
    title: 'Открытость и прозрачность',
    text: 'Команды с открытым исходным кодом работают в прозрачной среде, что означает, что их работа доступна для всех желающих. Это способствует развитию сообщества и совместной работе с другими разработчиками и пользователями.',
    areas: [EArea.ORG]
  }];
</script>

<section class="duration-200 grid justify-items-center p-16 sm:p-20 lg:p-24 xl:p-28 2xl:p-32 gap-10 sm:gap-16 lg:gap-20 xl:gap-24 2xl:gap-32">
  <h1 class="duration-200 text-xl sm:text-2xl lg:text-3xl xl:text-4xl 2xl:text-5xl font-extrabold text-center">
      Преимущества разработки с открытым исходным кодом
      <span class="inline-block"><Dot {area}/></span>
  </h1>
  <section class="duration-200 grid xl:grid-cols-2 gap-12 sm:gap-14 lg:gap-16">
    {#each info as { title, text, areas }}
      <article class="space-y-8">
        <header class="flex items-baseline font-bold gap-2">
          <h2 class="duration-200 space-x-2 text-lg sm:text-xl lg:text-2xl xl:text-3xl 2xl:text-4xl">
            {title}
            {#each areas as area}
              <span class="inline-block"><Dot {area}/></span>
            {/each}
          </h2>
        </header>
        <p class="duration-200 text-sm sm:text-base lg:text-lg xl:text-xl 2xl:text-2xl text-justify">{text}</p>
      </article>
    {/each}
  </section>
</section>